use strict;
use warnings;

open STDIN, '<input.txt';
open STDOUT, '>output.txt';

sub get_len {
    my ($w, $h, $d) = (scalar(<>) =~ /^\s*(\d{3})\/(\d{2,3})R(\d{2})\s*$/);
    1270 * $d + $w * $h;
}

my ($k, $reg, $racer) = (scalar <>, get_len, get_len);
print 100 * abs($reg - $racer) <= $k * $reg ? 'APPROVED' : 'DISAPPROVED';
